Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162354 - Activation of Up2date (for RHN) does not save
Summary: Activation of Up2date (for RHN) does not save
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-03 01:40 UTC by Dennis Catt
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-05 16:28:26 UTC


Attachments (Terms of Use)

Description Dennis Catt 2005-07-03 01:40:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Activation for Up2date for the Redhat Network does not save profile.  Everytime I bootup and check for updates, I have to re-activate Up2date to check for new updates.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Activate Up2date
2.exit RHN Alert Icon from panel
3.re-intitialize RHN Alert Icon and click
4. Subscription Alert window appears to request to Activate Up2date
  

Actual Results:  step #4

Expected Results:  Activation of Up2date should have remained after initial setting of profile and when clicking on the Alert icon, it should check for new updates without asking to re-Activate Up2date service.

Additional info:

none

Comment 1 Andre Robatino 2005-07-08 16:56:19 UTC
  This is a duplicate of bug #158095, which is a bug in rhn-applet, not up2date.
 BTW, you can run up2date without activating this, they're talking about a
different subscription service.  In fact, since rhn-applet is broken in that it
doesn't show available updates, there's no reason to left-click on the applet
right now anyway.  Hopefully when rhn-applet is updated, both bugs will be fixed.

Comment 2 John Thacker 2006-10-29 20:27:31 UTC
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Comment 3 John Thacker 2006-11-05 16:28:26 UTC
Closing per previous message.


Note You need to log in before you can comment on or make changes to this bug.